Subject: Re: [PATCH net] net: restrict SO_REUSEPORT to TCP, UDP and SCTP sockets

From: Jakub Kicinski <[email-masked]>
Date: Mon, 30 Dec 2024 16:07:39 -0800

On Mon, 30 Dec 2024 19:34:30 +0000 Eric Dumazet wrote:
> After blamed commit, crypto sockets could accidentally be destroyed
> from RCU callback, as spotted by zyzbot [1].
> 
> Trying to acquire a mutex in RCU callback is not allowed.
> 
> Restrict SO_REUSEPORT socket option to TCP, UDP and SCTP sockets.

Looks like fcnal_test.sh and reuseport_addr_any.sh are failing
after this patch, we need to adjust their respective binaries.
I'll hide this patch from patchwork, even tho it's probably right..
-- 
pw-bot: defer